Customer LookUp
Returns address based on input (Social security number, mobile number, Organization number). Customer LookUp is only supported in the Nordics. Please see Customer LookUp for more details.
Path
POST /api/v3/lookup/customer Request Body
application/json
email
string
Max length: 255
Customer email address
mobilePhone
string
Max length: 20
Phone number
countryCode
string
Enum:
- NO
- SE
- FI
- DK
- DE
- AT
- CH
- NL
- BE
Country code
postalCode
string
Max length: 15
Postal code
identificationNumber
string
Max length: 20
Social security number / Organization number
customerNumber
string
Max length: 100
Customer number
customerCategory
string
Enum:
- Company
- Person
Customer category
Responses
-
arrayList of user profiles matching to lookup parametersfirstNamestringMax length: 50First namelastNamestringMax length: 50Last namemobileNumberstringMax length: 20Mobile numbereMailstringMax length: 255Email addressmaskedFirstNamestringMax length: 50Masked First namemaskedLastNamestringMax length: 50Masked Last namemaskedMobileNumberstringMax length: 20Masked Mobile numbermaskedEmailstringMax length: 255Masked Email addresslanguageCodestringEnum:
- NO
- SV
- FI
- DA
- EN
- DE
- NL
- FR
The language code used for client communication. If not provided, the system will default to the language configured for the client.arrayArray of LookupAddress objectsstreetstringMax length: 200street2stringMax length: 200street3stringMax length: 200street4stringMax length: 200streetNumberstringMax length: 200flatNostringMax length: 200entrancestringMax length: 200citystringMax length: 200postalCodestringMax length: 15postalCode will not be provided when doing lookup on Organization numbercountrystringMax length: 10countryCodestringEnum:- NO
- SE
- FI
- DK
- DE
- AT
- CH
- NL
- BE
Country codecompanyNamestringmaskedStreetstringMax length: 200maskedStreet2stringMax length: 200maskedStreet3stringMax length: 200maskedStreet4stringMax length: 200maskedPostalCodestringMax length: 200maskedCompanyNamestring -
typestringEnum:
- BusinessError
- TechnicalError
- NotificationMessage
codestringMax length: 100Confirmation or error codemessagestringMax length: 4096Message contentcustomerFacingMessagestringMax length: 4096Message to display to customeractionCodestringEnum:- Unavailable
- AskConsumerToConfirm
- AskConsumerToReEnterData
- OfferSecurePaymentMethods
- RequiresSsn
- AskConsumerToIdentify
- ManualReview
Action codesfieldReferencestringMax length: 100Reference to field that caused an error -
-
-
-
Request Example
{
"customerCategory": "Person",
"identificationNumber": "12345678900"
}
Response Example
{
"userProfiles": [
{
"eMail": "astrid.svensson@example.com",
"lastName": "Svensson",
"firstName": "Astrid",
"addressList": [
{
"city": "Berlin",
"street": "Gütersloher Straße",
"country": "Germany",
"postalCode": "33415",
"countryCode": "DE",
"maskedStreet": "G**** Straß*",
"streetNumber": "123",
"maskedPostalCode": "415"
}
],
"maskedEmail": "astri*************@example.com",
"mobileNumber": "01234567",
"maskedLastName": "Sve*****",
"maskedFirstName": "Ast***",
"maskedMobileNumber": "*****567"
}
]
}